#include "cpp_zw_text.h"
#include "qul_run.h"

#include <qul/application.h>
#include <qul/qul.h>
#include "mydatatest.h"


int qul_run(bool initializeHardware){
    Qul::initPlatform();
    printf("%s\n", "#####################Qul::initPlatform()#####################"); // ok
    MyDataTest::instance().init();

    Qul::Application _qul_app;
    static struct ::cpp_zw_text _qul_item;
    _qul_app.setRootItem(&_qul_item);
    printf("%s\n", "#####################_qul_app.setRootItem(&_qul_item)#####################"); // ok
#ifdef APP_DEFAULT_UILANGUAGE
    _qul_app.setUiLanguage(APP_DEFAULT_UILANGUAGE);
#endif
    printf("%s\n", "#####################_qul_app.exec()____v8####################"); // ok
    _qul_app.exec();
    return 0;
}
